@iota/iota.js

# @iota/iota.js

## Table of contents

### Modules

- [addressTypes/ed25519Address](modules/addresstypes_ed25519address.md)
- [binary/address](modules/binary_address.md)
- [binary/common](modules/binary_common.md)
- [binary/funds](modules/binary_funds.md)
- [binary/input](modules/binary_input.md)
- [binary/message](modules/binary_message.md)
- [binary/output](modules/binary_output.md)
- [binary/payload](modules/binary_payload.md)
- [binary/signature](modules/binary_signature.md)
- [binary/transaction](modules/binary_transaction.md)
- [binary/unlockBlock](modules/binary_unlockblock.md)
- [clients/clientError](modules/clients_clienterror.md)
- [clients/mqttClient](modules/clients_mqttclient.md)
- [clients/singleNodeClient](modules/clients_singlenodeclient.md)
- [clients/singleNodeClientOptions](modules/clients_singlenodeclientoptions.md)
- [crypto/bech32](modules/crypto_bech32.md)
- [crypto/bip32Path](modules/crypto_bip32path.md)
- [crypto/bip39](modules/crypto_bip39.md)
- [crypto/blake2b](modules/crypto_blake2b.md)
- [crypto/chaCha20](modules/crypto_chacha20.md)
- [crypto/chaCha20Poly1305](modules/crypto_chacha20poly1305.md)
- [crypto/curl](modules/crypto_curl.md)
- [crypto/ed25519](modules/crypto_ed25519.md)
- [crypto/edwards25519/bigIntCommon](modules/crypto_edwards25519_bigintcommon.md)
- [crypto/edwards25519/cachedGroupElement](modules/crypto_edwards25519_cachedgroupelement.md)
- [crypto/edwards25519/completedGroupElement](modules/crypto_edwards25519_completedgroupelement.md)
- [crypto/edwards25519/const](modules/crypto_edwards25519_const.md)
- [crypto/edwards25519/extendedGroupElement](modules/crypto_edwards25519_extendedgroupelement.md)
- [crypto/edwards25519/fieldElement](modules/crypto_edwards25519_fieldelement.md)
- [crypto/edwards25519/preComputedGroupElement](modules/crypto_edwards25519_precomputedgroupelement.md)
- [crypto/edwards25519/projectiveGroupElement](modules/crypto_edwards25519_projectivegroupelement.md)
- [crypto/edwards25519/scalar](modules/crypto_edwards25519_scalar.md)
- [crypto/hmacSha256](modules/crypto_hmacsha256.md)
- [crypto/hmacSha512](modules/crypto_hmacsha512.md)
- [crypto/pbkdf2](modules/crypto_pbkdf2.md)
- [crypto/poly1305](modules/crypto_poly1305.md)
- [crypto/sha256](modules/crypto_sha256.md)
- [crypto/sha512](modules/crypto_sha512.md)
- [crypto/slip0010](modules/crypto_slip0010.md)
- [crypto/wordlists/english](modules/crypto_wordlists_english.md)
- [crypto/x25519](modules/crypto_x25519.md)
- [crypto/zip215](modules/crypto_zip215.md)
- [encoding/b1t6](modules/encoding_b1t6.md)
- [highLevel/addresses](modules/highlevel_addresses.md)
- [highLevel/getBalance](modules/highlevel_getbalance.md)
- [highLevel/getUnspentAddress](modules/highlevel_getunspentaddress.md)
- [highLevel/getUnspentAddresses](modules/highlevel_getunspentaddresses.md)
- [highLevel/promote](modules/highlevel_promote.md)
- [highLevel/reattach](modules/highlevel_reattach.md)
- [highLevel/retrieveData](modules/highlevel_retrievedata.md)
- [highLevel/retry](modules/highlevel_retry.md)
- [highLevel/send](modules/highlevel_send.md)
- [highLevel/sendAdvanced](modules/highlevel_sendadvanced.md)
- [highLevel/sendData](modules/highlevel_senddata.md)
- [models/IAddress](modules/models_iaddress.md)
- [models/IBip44GeneratorState](modules/models_ibip44generatorstate.md)
- [models/IClient](modules/models_iclient.md)
- [models/IEd25519Address](modules/models_ied25519address.md)
- [models/IEd25519Signature](modules/models_ied25519signature.md)
- [models/IGossipHeartbeat](modules/models_igossipheartbeat.md)
- [models/IGossipMetrics](modules/models_igossipmetrics.md)
- [models/IIndexationPayload](modules/models_iindexationpayload.md)
- [models/IKeyPair](modules/models_ikeypair.md)
- [models/IMessage](modules/models_imessage.md)
- [models/IMessageMetadata](modules/models_imessagemetadata.md)
- [models/IMigratedFunds](modules/models_imigratedfunds.md)
- [models/IMilestonePayload](modules/models_imilestonepayload.md)
- [models/IMqttClient](modules/models_imqttclient.md)
- [models/IMqttStatus](modules/models_imqttstatus.md)
- [models/INodeInfo](modules/models_inodeinfo.md)
- [models/IPeer](modules/models_ipeer.md)
- [models/IPowProvider](modules/models_ipowprovider.md)
- [models/IReceiptPayload](modules/models_ireceiptpayload.md)
- [models/IReferenceUnlockBlock](modules/models_ireferenceunlockblock.md)
- [models/ISeed](modules/models_iseed.md)
- [models/ISigLockedDustAllowanceOutput](modules/models_isiglockeddustallowanceoutput.md)
- [models/ISigLockedSingleOutput](modules/models_isiglockedsingleoutput.md)
- [models/ISignatureUnlockBlock](modules/models_isignatureunlockblock.md)
- [models/ITransactionEssence](modules/models_itransactionessence.md)
- [models/ITransactionPayload](modules/models_itransactionpayload.md)
- [models/ITreasury](modules/models_itreasury.md)
- [models/ITreasuryInput](modules/models_itreasuryinput.md)
- [models/ITreasuryOutput](modules/models_itreasuryoutput.md)
- [models/ITreasuryTransactionPayload](modules/models_itreasurytransactionpayload.md)
- [models/ITypeBase](modules/models_itypebase.md)
- [models/IUTXOInput](modules/models_iutxoinput.md)
- [models/api/IAddressOutputsResponse](modules/models_api_iaddressoutputsresponse.md)
- [models/api/IAddressResponse](modules/models_api_iaddressresponse.md)
- [models/api/IChildrenResponse](modules/models_api_ichildrenresponse.md)
- [models/api/IMessageIdResponse](modules/models_api_imessageidresponse.md)
- [models/api/IMessagesResponse](modules/models_api_imessagesresponse.md)
- [models/api/IMilestoneResponse](modules/models_api_imilestoneresponse.md)
- [models/api/IMilestoneUtxoChangesResponse](modules/models_api_imilestoneutxochangesresponse.md)
- [models/api/IMqttMilestoneResponse](modules/models_api_imqttmilestoneresponse.md)
- [models/api/IOutputResponse](modules/models_api_ioutputresponse.md)
- [models/api/IReceiptsResponse](modules/models_api_ireceiptsresponse.md)
- [models/api/IResponse](modules/models_api_iresponse.md)
- [models/api/ITipsResponse](modules/models_api_itipsresponse.md)
- [models/conflictReason](modules/models_conflictreason.md)
- [models/ledgerInclusionState](modules/models_ledgerinclusionstate.md)
- [models/units](modules/models_units.md)
- [pow/localPowProvider](modules/pow_localpowprovider.md)
- [resources/conflictReasonStrings](modules/resources_conflictreasonstrings.md)
- [seedTypes/ed25519Seed](modules/seedtypes_ed25519seed.md)
- [utils/arrayHelper](modules/utils_arrayhelper.md)
- [utils/bech32Helper](modules/utils_bech32helper.md)
- [utils/bigIntHelper](modules/utils_biginthelper.md)
- [utils/bitHelper](modules/utils_bithelper.md)
- [utils/converter](modules/utils_converter.md)
- [utils/logging](modules/utils_logging.md)
- [utils/powHelper](modules/utils_powhelper.md)
- [utils/randomHelper](modules/utils_randomhelper.md)
- [utils/readStream](modules/utils_readstream.md)
- [utils/unitsHelper](modules/utils_unitshelper.md)
- [utils/writeStream](modules/utils_writestream.md)
